ExtractingRequestHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.extraction.ExtractingRequestHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.extraction
Class ExtractingRequestHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.ContentStreamHandlerBase
              org.apache.solr.handler.extraction.ExtractingRequestHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler, SolrCoreAware

    public class ExtractingRequestHandler

extends ContentStreamHandlerBase
implements SolrCoreAware

Handler for rich documents like PDF or Word or any other file format that Tika handles that need the text to be extracted first from the document.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`protected org.apache.tika.config.TikaConfig` | `config`
`static String` | `CONFIG_LOCATION`
`static String` | `DATE_FORMATS`
`protected Collection<String>` | `dateFormats`
`protected SolrContentHandlerFactory` | `factory`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`ExtractingRequestHandler()`

Method Summary
`protected SolrContentHandlerFactory` | `createFactory()`
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `inform(SolrCore core)`
`void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.
`protected ContentStreamLoader` | `newLoader(SolrQueryRequest req, UpdateRequestProcessor processor)`

Methods inherited from class org.apache.solr.handler.ContentStreamHandlerBase
`handleRequestBody`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDocs, getInitArgs, getName, getStatistics, handleRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_LOCATION

    public static final String CONFIG_LOCATION

See Also:
  Constant Field Values

### DATE_FORMATS

    public static final String DATE_FORMATS

See Also:
  Constant Field Values

### config

    protected org.apache.tika.config.TikaConfig config

### dateFormats

    protected Collection<String> dateFormats

### factory

    protected SolrContentHandlerFactory factory

Constructor Detail

### ExtractingRequestHandler

    public ExtractingRequestHandler()

Method Detail

### init

    public void init(NamedList args)

  Description copied from class: `RequestHandlerBase`
  Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

  Name | Description
  --- | ---
  defaults | Contains all of the named arguments contained within the list element named "defaults".
  appends | Contains all of the named arguments contained within the list element named "appends".
  invariants | Contains all of the named arguments contained within the list element named "invariants".

  Example:

       <lst name="defaults">
       <str name="echoParams">explicit</str>
       <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
       <str name="mm">2<-1 5<-2 6<90%</str>
       <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
       </lst>
       <lst name="appends">
       <str name="fq">inStock:true</str>
       </lst>

       <lst name="invariants">
       <str name="facet.field">cat</str>
       <str name="facet.field">manu_exact</str>
       <str name="facet.query">price:[* TO 500]</str>
       <str name="facet.query">price:[500 TO *]</str>
       </lst>

  Specified by:
    `init` in interface `SolrRequestHandler`
  Overrides:
    `init` in class `RequestHandlerBase`
  Parameters:
    `args` - The `NamedList` to initialize from
  See Also:
    `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

### inform

    public void inform(SolrCore core)

  Specified by:
    `inform` in interface `SolrCoreAware`

### createFactory

    protected SolrContentHandlerFactory createFactory()

### newLoader

    protected ContentStreamLoader newLoader(SolrQueryRequest req,
                                            UpdateRequestProcessor processor)

  Specified by:
    `newLoader` in class `ContentStreamHandlerBase`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD